#!/bin/bash
url='https://ap.summer.test:8443/v1/marigold/auth/mfa-disable'
accjson='Accept: application/json'
ctjson='Content-Type: application/json'
bear='Authorization: Bearer'
a=$(curl -ksS -X POST "$url" -H "$accjson")
access=$(cat "acc.json" | jq '.access_token' -r)
refresh=$(cat "acc.json" | jq '.refresh_token' -r)

read -p "MFA: " mfa
echo

a=$(echo "{\"mfa\":\"$mfa\"}" | curl -kvsS -X POST "$url" -H "$accjson" -H "$ctjson" -H "$bear $access" --data @-)
unset -v mfa

echo "Output: $a"
