package main

import (
	accountServer "code.mrmelon54.com/melon/summer/pkg/mailer"
)

type MarigoldConfig struct {
	Database string                   `yaml:"database"`
	Listen   string                   `yaml:"listen"`
	Auth     AuthConfig               `yaml:"auth"`
	Smtp     accountServer.SmtpConfig `yaml:"smtp"`
}

type AuthConfig struct {
	Issuer     string `yaml:"issuer"`
	Key        string `yaml:"key"`
	Public     string `yaml:"public"`
	AuthClient string `yaml:"authClient"`
}
