package web

import "code.mrmelon54.com/melon/summer/pkg/utils"

type HttpRouteHeader struct {
	Id      uint64  `json:"id" xorm:"pk autoincr"`
	RouteId uint64  `json:"route_id"`
	Key     string  `json:"key"`
	Value   *string `json:"value"`
}

func (h HttpRouteHeader) HeaderKey() string   { return h.Key }
func (h HttpRouteHeader) HeaderValue() string { return utils.SString(h.Value) }
