package web

import "code.mrmelon54.com/melon/summer/pkg/utils"

type HttpServiceHeader struct {
	Id        uint64  `json:"id" xorm:"pk autoincr"`
	ServiceId uint64  `json:"service_id"`
	Key       string  `json:"key"`
	Value     *string `json:"value"`
}

func (h HttpServiceHeader) HeaderKey() string   { return h.Key }
func (h HttpServiceHeader) HeaderValue() string { return utils.SString(h.Value) }
