#!/bin/bash
BUILD_DIR="$1"
CC="$2"
LD_FLAGS="$3"
PROGRAMS="$4"
TAGS="$5"

for PROG in ${PROGRAMS}
do
  echo -e "\e[32m=== Building ${PROG} ===\e[0m"
  ${CC} build -o "${BUILD_DIR}/dist/${PROG}" -ldflags="${LD_FLAGS}" -tags="${TAGS}" "${BUILD_DIR}/cmd/${PROG}"
done
