# Summer

[![status-badge](https://ci.mrmelon54.com/api/badges/melon/summer/status.svg)](https://ci.mrmelon54.com/melon/summer)

APIs and server side code for connecting multiple backend services.

| Program   | Description                                                                    |
|-----------|--------------------------------------------------------------------------------|
| Azalea    | HTTP server with subdomain based internal proxying and API endpoint management |
| Buttercup | SSL certificate management and renewal                                         |
| Lily      | Process management and logging                                                 |
| Marigold  | User authentication and management with OAuth application support              |
| Rose      | TCP and UDP forwarding server                                                  |

## Building

```bash
make build
```

## Development

```bash
# first time docker setup
debug=1 make setup-docker

# rebuild and restart docker containers 
debug=1 make restart-docker
```
