package config

import (
	"code.mrmelon54.com/melon/summer/pkg/api"
)

type AzaleaConfig struct {
	Database  string         `yaml:"database"`
	Listen    ListenConfig   `yaml:"listen"`
	Auth      api.AuthConfig `yaml:"auth"`
	ApiDomain string         `yaml:"apiDomain"`
	RateLimit uint64         `yaml:"rateLimit"`
	Logs      LogConfig      `yaml:"logs"`
	Code418   string         `yaml:"418"`
	Inkscape  string         `yaml:"inkscape"`
}

type ListenConfig struct {
	Http  string `yaml:"http"`
	Https string `yaml:"https"`
	Api   string `yaml:"api"`
}

type LogConfig struct {
	AccessLogDir string `yaml:"accessLogDir"`
}
