package main

import (
	"code.mrmelon54.com/melon/summer/pkg/api"
	"code.mrmelon54.com/melon/summer/pkg/notifier"
	"code.mrmelon54.com/melon/summer/pkg/renewal"
)

type ButtercupConfig struct {
	Database string          `yaml:"database"`
	Listen   string          `yaml:"listen"`
	Renewal  renewal.Config  `yaml:"renewal"`
	Auth     api.AuthConfig  `yaml:"auth"`
	Notify   notifier.Config `yaml:"notify"`
}
