package bit_storage

import "golang.org/x/exp/constraints"

type BitStorage[T constraints.Unsigned] interface {
	Set(v uint32)
	Clear(v uint32)
	Get(v uint32) bool
	Unique() []uint32
	Dump() []uint32
}
