package web

import "code.mrmelon54.com/melon/summer/pkg/utils"

type UdpRedirect struct {
	Id      uint64 `json:"id" xorm:"pk autoincr"`
	Port    int    `json:"port"`
	Target  string `json:"target"`
	Enabled *bool  `json:"enabled"`
}

func (u UdpRedirect) GetId() uint64 {
	return u.Id
}

func (u UdpRedirect) SetEnabled(v bool) UdpRedirect {
	u.Enabled = utils.PBool(v)
	return u
}

func (u UdpRedirect) ClearForNew() UdpRedirect {
	u.Id = 0
	return u
}
