package utils

import (
	"math/rand"
)

var letterRunes = []rune("abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ")
var numberRunes = []rune("0123456789")

func GenRandStringLetters(n int) string {
	return GenRandStringCustom(n, letterRunes)
}

func GenRandStringNumbers(n int) string {
	return GenRandStringCustom(n, numberRunes)
}

func GenRandStringCustom(n int, custom []rune) string {
	b := make([]rune, n)
	for i := range b {
		b[i] = custom[rand.Intn(len(custom))]
	}
	return string(b)
}
