#!/bin/bash
VERSION=$(git describe --dirty --always)
BUILD_DATE=$(date '+%Y-%m-%d %H:%M:%S')
UTILS_PKG=code.mrmelon54.com/melon/summer/pkg/utils
LD_FLAGS="-s -w -X '${UTILS_PKG}.BuildVersion=${VERSION}' -X '${UTILS_PKG}.BuildDate=${BUILD_DATE}'"
go build -o "$1" -ldflags="$LD_FLAGS" -tags "$3" -v "$2"
